#!/bin/bash

MASTER_LOG_FILE=${1}
MASTER_LOG_POS=${2}

echo 'Configure replications'
docker exec -it 1b1d0cc6fa49 mysql -uroot -p12345 -e "STOP SLAVE; CHANGE MASTER TO MASTER_HOST='db-master', MASTER_USER='slave', MASTER_PASSWORD='12345', MASTER_LOG_FILE = '${MASTER_LOG_FILE}', MASTER_LOG_POS = ${MASTER_LOG_POS}; START SLAVE;"

docker exec -it 19043b6269cc mysql -uroot -p12345 -e "STOP SLAVE; CHANGE MASTER TO MASTER_HOST='db-master', MASTER_USER='slave', MASTER_PASSWORD='12345', MASTER_LOG_FILE = '${MASTER_LOG_FILE}', MASTER_LOG_POS = ${MASTER_LOG_POS}; START SLAVE;"
